import React, { useState } from "react";
import { Grommet, Box, ResponsiveContext } from "grommet";
import theme from "../style/Theme";
import PageHeader from "./PageHeader";
import SideMenu from "./SideMenu";
import InstanceView from "./InstanceView";
import TemplateView from "./TemplateView";

function App() {
  const [showSideBar, setShowSideBar] = useState(false);

  return (
    <Grommet theme={theme} full>
      <ResponsiveContext.Consumer>
        {size => (
          <Box fill>
            <PageHeader
              showSideBar={showSideBar}
              setShowSideBar={setShowSideBar}
            />
            <Box direction="row" flex overflow={{ horizontal: "hidden" }}>
              <SideMenu
                showSideBar={showSideBar}
                setShowSideBar={setShowSideBar}
              />
              <Box flex justify="center" direction="row" margin="small">
                <InstanceView />
                <TemplateView />
              </Box>
            </Box>
          </Box>
        )}
      </ResponsiveContext.Consumer>
    </Grommet>
  );
}

export default App;
